org.apache.fop.afp.modca

## Class PresentationTextDescriptor

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractDescriptor
        - - org.apache.fop.afp.modca.PresentationTextDescriptor

All Implemented Interfaces:
  Streamable

    public class PresentationTextDescriptor
    extends AbstractDescriptor

The Presentation Text Descriptor specifies the units of measure for the Presentation Text object space, the size of the Presentation Text object space, and the initial values for modal parameters, called initial text conditions. Initial values not provided are defaulted by the controlling environment or the receiving device. The Presentation Text Descriptor provides the following initial values: - Unit base - Xp-units per unit base - Yp-units per unit base - Xp-extent of the presentation space - Yp-extent of the presentation space - Initial text conditions. The initial text conditions are values provided by the Presentation Text Descriptor to initialize the modal parameters of the control sequences. Modal control sequences typically are characterized by the word set in the name of the control sequence. Modal parameters are identified as such in their semantic descriptions.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.modca.AbstractDescriptor

`height, heightRes, width, widthRes`

### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`triplets`

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`PresentationTextDescriptor(int width, int height, int widthRes, int heightRes)` Constructor a PresentationTextDescriptor for the specified width and height.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Methods inherited from class org.apache.fop.afp.modca.AbstractDescriptor

`getHeight, getWidth, toString`

### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

`writeContent, writeEnd, writeStart`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PresentationTextDescriptor

    public PresentationTextDescriptor(int width,
                                      int height,
                                      int widthRes,
                                      int heightRes)

Constructor a PresentationTextDescriptor for the specified width and height.

Parameters:
  `width` - The width of the page.
  `height` - The height of the page.
  `widthRes` - The width resolution of the page.
  `heightRes` - The height resolution of the page.

### Method Detail

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Specified by:
  `writeToStream` in interface `Streamable`
Overrides:
  `writeToStream` in class `AbstractStructuredObject`
Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.